# Class SettingGroup

java.lang.Object
uk.ac.starlink.ttools.task.SettingGroup

public class SettingGroup extends Object
Represents a set of parameter-value pairs to be grouped together for display purposes. This aggregates a list of setting objects and a 'grouping level'. The level corresponds roughly to the amount of indentation to be used when exported to text. The level starts at 1 for task-level parameter settings and should generally be incremented in 1s.

Since:
  26 Sep 2017
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SettingGroup(int level, Setting[] settings)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getLevel()`
Returns the grouping level.
`Setting[]`
`getSettings()`
Returns the grouped settings.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SettingGroup

public SettingGroup(int level, Setting[] settings)
Constructor.

Parameters:
  `level` - grouping level
  `settings` - settings in the group

## Method Details

### getLevel

public int getLevel()
Returns the grouping level.

Returns:
  level

### getSettings

public Setting[] getSettings()
Returns the grouped settings.

Returns:
  settings